#include "music_manager.h"

namespace Halley {
	shared_ptr<ResourceManager<AudioMusic> > ResourceManager<AudioMusic>::manager;

	MusicManager::MusicManager(String basePath)
		: ResourceManager(basePath)
	{
	}

	shared_ptr<AudioMusic> MusicManager::load(String name) {
		return shared_ptr<AudioMusic>(new AudioMusic(name));
	}
}
